package com.fufan.mtsaas.modules.sysmgr.sygroup.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.response.SYGroupMenuInfo;
import com.fufan.mtsaas.modules.sysmgr.sygroup.model.SYgroupMenu;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-08-18
 */
@Repository
public interface SYgroupMenuDao extends BaseMapper<SYgroupMenu> {
    List<SYGroupMenuInfo> selectList(Page page, @Param("params") Map<String, String> params);

    List<SYgroupMenu> selectGeneralList(Page page, @Param("params") Map<String, String> params);

    int insertRecords(SYgroupMenu sYscriptD);

    int deleteByPk(@Param("params") Map<String, String> params);
    int updateRecords(SYgroupMenu sYscriptD);
    List<String> selectIdByRole(String roleId);
    List<SYGroupMenuInfo> selectListIn(Page page, @Param("params") Map<String, String> params,@Param("idData")List<String> menuList);
}